Plant IDs

This endpoint returns a list of plant IDs, corresponding to the requested country and fuel (see Enact's plant table).


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact

enact_api_helper = enact.APIHelper(username, public_api_key)

response_list = enact_api_helper.get_plants_by_fuel_and_country(
	"Biomass", # fuel
	"Gb" # country
)

print(response_list)

Asynchronous (package version 1.3.0 and later)

from lcp_delta import enact
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    response_list = await enact_api_helper.get_plants_by_fuel_and_country_async(
        "Biomass", # fuel
        "Gb" # country
    )

    print(response_list)

asyncio.run(main())

Using the API Directly

Body Params
string
required
Defaults to Biomass

The fuel type to request plant IDs for.

string
required
Defaults to Gb

The Enact ID for the country to request plant IDs from.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json